# $Revision: 1.12 $, $Date: 2010/08/21 19:09:09 $
%include	/usr/lib/rpm/macros.php
%define		_status		beta
%define		_pearname	HTML_QuickForm_Livesearch
Summary:	%{_pearname} - element for HTML_QuickForm to enable a suggest search
Summary(pl.UTF-8):	%{_pearname} - element HTML_QuickForm pozwalający na dołączenie sugestii do wyszukiwania
Name:		php-pear-%{_pearname}
Version:	0.4.0
Release:	4
License:	PHP License 3.0
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	72069ad6852602f7ba17918afc6abb49
URL:		http://pear.php.net/package/HTML_QuickForm_Livesearch/
BuildRequires:	php-pear-PEAR >= 1:1.4.0-0.b1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Requires:	php-pear-HTML_AJAX > 0.4.1
Requires:	php-pear-HTML_QuickForm > 3.2.4
Requires:	php-pear-PEAR-core
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package adds an element to the PEAR::HTML_QuickForm package to
dynamically create an HTML input text element that at every keypressed
javascript event, returns a list of options in a dynamic dropdown
select box(live dropdown select).

This element use AJAX (Communication from JavaScript to your browser
without reloading the page).

This type of livesearch is useful when you have a form with a dropdown
list with a large number of row.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Pakiet ten dodaje do PEAR::HTML_QuickForm element pozwalający na
dynamicznie tworzenie pola input formularza HTML, który na każde
zdarzenie wciśnięcia klawisza zwraca listę opcji w dynamicznej liście
wyboru (live dropdown select).

Element ten korzysta z technologii AJAX (komunikacja z JavaScript bez
potrzeby przeładowania strony).

Ten tym 'żywego' wyszukiwania jest przydatny w przypadku formularza z
listą wyboru z dużą liczbą pozycji.

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl.UTF-8):	Testy dla PEAR::%{_pearname}
Group:		Development
Requires:	%{name} = %{epoch}:%{version}-%{release}
AutoReq:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl.UTF-8
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/HTML/QuickForm/livesearch_select.php
%dir %{php_pear_dir}/data/HTML_QuickForm_Livesearch
%{php_pear_dir}/data/HTML_QuickForm_Livesearch/live.js

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/HTML_QuickForm_Livesearch

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-HTML_QuickForm_Livesearch.spec,v $
Revision 1.12  2010/08/21 19:09:09  glen
- updated deps with pearize.sh
- release 4

Revision 1.11  2008/01/31 12:16:49  glen
- rel 3

Revision 1.10  2007-11-12 15:13:36  glen
- req just PEAR-core; rel 2

Revision 1.9  2007-09-01 18:17:50  adamg
- updated to 0.4.0

Revision 1.8  2007/02/13 08:06:39  glen
- tabs in preamble

Revision 1.7  2007/02/12 01:06:41  baggins
- converted to UTF-8

Revision 1.6  2006/12/30 11:04:39  adamg
- updated to 0.3.2

Revision 1.5  2006/09/02 17:52:38  adamg
- updated to 0.3.1

Revision 1.4  2006/06/26 07:57:15  adamg
- updated to 0.3.0

Revision 1.3  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.2  2006/04/27 21:45:15  qboosh
- missing dirs

Revision 1.1  2006/04/24 10:30:10  adamg
- new
